Opened 9 months ago

Closed 5 months ago

#1978 closed Enhancement (fixed)

Extend timer functionality

Reported by:Mirek Andrejczuk Component: OPA
Version: release-3.6 Severity: minor
Keywords: Cc:
Management
Owned by:Mirek Andrejczuk Milestone:
Priority: normal

Description

Context

NEMO timers, when activated, gather information about execution time of the subroutines and print this information in timing.output file. For some runs not all timing information is needed. This ticket is to document development of more flexible timers, allowing to choose which timers are activated for a run.

Proposal

Enable gathering and saving information about coupling time separately from other timing information.

Commit History (11)

ChangesetAuthorTimeChangeLog
9317andmirek2018-02-09T14:26:48+01:00

#1978 fix in restart read timing (from review)

9261andmirek2018-01-18T14:59:11+01:00

#1978 only 1 and 2 for nn_timing

9253andmirek2018-01-17T12:55:03+01:00

#1978 nn_timing 3 in iceberg code

9252andmirek2018-01-17T12:42:41+01:00

#1978 timers for nn_timing 3

8904andmirek2017-12-05T17:01:17+01:00

#1978 new timers

8895andmirek2017-12-05T09:31:13+01:00

#1978 new timers for NEMO restart write

8887andmirek2017-12-04T10:52:38+01:00

#1978 coupling timers

8886andmirek2017-12-04T10:48:23+01:00

#1978 additional timers

8745andmirek2017-11-20T10:24:00+01:00

#1978 nemogcm.F90 activate writing timing when nn_timing is 2

8744andmirek2017-11-20T10:22:44+01:00

#1978 activate timers in sbccpl.F90 when nn_timing is 1 or 2

8743andmirek2017-11-20T10:12:11+01:00

#1978 extend timer fuctionality

Change History (9)

comment:1 Changed 9 months ago by Mirek Andrejczuk

  • Owner set to andmirek
  • Status changed from new to assigned
Last edited 8 months ago by nemo (previous) (diff)

comment:2 Changed 9 months ago by nemo

  • Keywords Misc. added

comment:3 Changed 9 months ago by nemo

  • Keywords Misc. removed

comment:4 Changed 8 months ago by Nicolas MARTIN

  • Milestone Unscheduled deleted

comment:5 Changed 7 months ago by Mirek Andrejczuk

In 9252:

#1978 timers for nn_timing 3

Code review status: pending

comment:6 Changed 7 months ago by Mirek Andrejczuk

In 9253:

#1978 nn_timing 3 in iceberg code

Code review status: pending

comment:7 Changed 7 months ago by Mirek Andrejczuk

In 9261:

#1978 only 1 and 2 for nn_timing

Code review status: pending

comment:8 Changed 6 months ago by Mirek Andrejczuk

In 9317:

#1978 fix in restart read timing (from review)

Code review status: pending

comment:9 Changed 5 months ago by Mirek Andrejczuk

  • Resolution set to fixed
  • Status changed from assigned to closed

Reviewed and in GO6 package branch. gmed ticket 374.

Note: See TracTickets for help on using tickets.